char *real_kver = KVER;
char *kernel_image_filename;
char *drivers_image_filename;

struct Arg {
  const char *name;
  int isflag;
  void *value;
};

  

#ifdef SCSI_FLOPPY
/* scan /proc/scsi/scsi for TEAC FC-1 floppy drive
 * and create /dev/sfd[0-7] symlinks if found
 */
void
find_scsi_floppy()
{
  FILE *fp;
  char buf[100];
  char dev[8];
  int  i = -1;
  int  n = 0;
 
  if ((fp = fopen("/proc/scsi/scsi", "r")) != NULL) {
    while (fgets(buf, sizeof(buf), fp)) {
      if ((strncmp(buf, "Host:", 5) == 0) && strstr(buf, "Channel:"))
        i++;
      else {
        if (strstr(buf, "Vendor:")
        &&  strstr(buf, "TEAC"   )
        &&  strstr(buf, "Model:" )
        &&  strstr(buf, "FC-1"   )) {
          sprintf(dev, "sd%c", 'a' + i);
          sprintf(buf, "/dev/sfd%d", n++);
          unlink(buf);
          symlink(dev, buf);
        }
      }
    }
    fclose(fp);
  }
}
#endif

  int main (void) {
    char *term;
:-)

#ifdef SCSI_FLOPPY
    find_scsi_floppy();
#endif

    Root = NULL;
    noSwap = 0;
    notCreatedBootFloppy = 1;
    notInstalledLILO = 1;
    Archive_Dir=NULL;

    InstallationRootDevice=block_device("/",NULL);
    if (!InstallationRootDevice) {
      /* net installation with no /dev/root device on nfsroot */
      /* leave time to see any error message */
      sleep(8);
      problemBox(MSG_TROUBLE_ROOT_KO,MSG_PROBLEM);
#if #cpu(alpha)
      exit(1);
#else
      reboot(RB_AUTOBOOT);
#endif
    }

    term = getenv("TERM");
    if (!term || (term && !strncmp(term,"linux",5))) {
      color_or_monochrome();
    }
    release_notes();
    is_root_a_floppy ();
    main_menu();
    boxFinished();
    return 0;
}

