#!/bin/sh
set -e

if [ "$1" = "" ] ; then
  SOURCEFILE="/proc/pci"
else
  SOURCEFILE="$1"
fi
if [ ! -f "$SOURCEFILE" ]; then
  echoc RED "Errore: $SOURCEFILE non trovato !"
  exit 1
fi
#

TROVATO=0
( cat $SOURCEFILE ; echo ) | while read LINEA LINEB
do
  if [ "$LINEA" = "Bus" ] ; then
    TROVATO=1
  else
    if [ $TROVATO -eq 1 ]; then
      # Estrae Device
      CLASSNAME=`echo $LINEA $LINEB | cut -f 1 -d ':'`
      FULLDEVICENAME=`echo $LINEA $LINEB | cut -f 2- -d ':'`
      DEVICENAME="`echo $FULLDEVICENAME | cut -f 1 -d '('`"
      echo "$CLASSNAME|$DEVICENAME"
    fi
    TROVATO=0
  fi
done
exit 0